Hey all,

 

I have an issue that has probably been addressed previously, however, I can’t find any references to it in the archive.  I recently installed Catalina (Tomcat 4) and installed a webapp that works on Tomcat 3.2.  I am receiving the following error (included below) on startup of Catalina.  I have placed both the most recent versions of the DOM and SAX parsers in %CATALINA_HOME%\lib, and I am still receiving the error.  It apprears that it is complaining about the web.xml file for the webapp that I installed.  As far as I can tell it is the standard web.xml file that is provided with standard Struts application.  I have included the error below and have attached the web.xml for your review.  It is probably something simple that I have missed. 

 

-----

 

PARSE error at line 38 column -1

org.xml.sax.SAXParseException: Element "web-app" does not allow "servlet" here.

 

-----

 

Thanks to you all for you help.

 

Carl